Bug 1585362 - NetApp Cinder back end does not deploy in RHOSP12 (Pike)
Summary: NetApp Cinder back end does not deploy in RHOSP12 (Pike)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: z3
: 12.0 (Pike)
Assignee: Alan Bishop
QA Contact: Avi Avraham
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On: 1612342
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-02 01:42 UTC by Siggy Sigwald
Modified: 2018-12-23 11:08 UTC (History)
7 users (show)

(edit)
The TripleO environment files used for deploying Cinder's Netapp backend have been updated in this release to allow successful deployment of a Cinder Netapp backend. 

Prior to this update, obsolete data caused the overcloud deployment to fail.
Clone Of:
: 1612342 (view as bug list)
(edit)
Last Closed: 2018-08-20 13:01:30 UTC
tshefi: automate_bug+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:02 UTC
OpenStack gerrit 579237 None None None 2018-06-29 18:00 UTC
Launchpad 1779397 None None None 2018-06-29 17:47 UTC

Description Siggy Sigwald 2018-06-02 01:42:51 UTC
Description of problem:
RHOSP12 fails to deploy with following error:
ERROR: Property error: : resources.Controller<nested_stack>.resources.0<https://10.7.40.249:13808/v1/AUTH_ed4febd9c93c4178ac5386b97222c862/overcloud/puppet/controller-role.yaml>.resources.ControllerExtraConfigPre.properties: : Unknown Property server\"

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-7.0.3-22.el7ost.noarch

How reproducible:
100%
Looks similar to this 2 bugs: 1439895 (Ocata) and 1567893 (Queens).

Comment 1 Alan Bishop 2018-06-13 12:35:45 UTC
The reference to ControllerExtraConfigPre makes me suspect the problem is the deployment command is trying to deploy the Netapp backend using the old non-composable role technique, which has been deprecated.

I looked through the customer case and see a lot of template files have been made available, but I need to see the full deployment command.

Siggy, please ask the customer to add the deployment command to the case.

Comment 3 Alan Bishop 2018-06-18 14:00:08 UTC
Latest data in the case confirms my suspicion. The cinder-netapp-config.yaml
file used in the deployment is based on
tht/environments/storage/cinder-netapp-config.yaml. That file is one of the
sample environment generator files that has not been maintained, and the
problem is it's referencing ControllerExtraConfigPre which was made obsolete
when the Netapp backend was migrated to a composable service.

Unfortunately, the presence of these stale environment files has caused other
people some trouble, and this needs to be clean up upstream (see [1]).

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1567893#c5

So, for OSP-12 (and onward), use tht/enviornments/cinder-netapp-config.yaml
(not the one in the "storage" subdirectory) as the basis for deploying the
Netapp backend. Note that it references the backend's composable service
(OS::TripleO::Services::CinderBackendNetApp)

Comment 4 Christian Schwede (cschwede) 2018-06-20 13:37:50 UTC
Siggy, can you please check again with the info from Alan in https://bugzilla.redhat.com/show_bug.cgi?id=1585362#c3 ? Thanks!

Comment 8 Alan Bishop 2018-07-16 17:06:30 UTC
Patch merged on upstream master, starting upstream backports.

Comment 15 errata-xmlrpc 2018-08-20 13:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.